%define migtools_ver 24

Summary: LDAP servers, libraries, utilities, tools and sample clients.
Name: openldap
Version: 1.2.9
Release: 7mdk
Copyright: Artistic
Group: System/Servers
Source0: ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/%{name}-%{version}.tar.bz2
Source1: ldap.init
Source2: http://www.padl.com/download/MigrationTools-24.tar.bz2
Source3: migration-tools.txt
Patch0: openldap-1.2.9-path.patch.bz2
Patch1: openldap-1.2.9-redhat.patch.bz2
URL: http://www.openldap.org
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: tcp_wrappers-devel
Prefix: %{_prefix}

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  The suite includes a
stand-alone LDAP server (slapd), a stand-alone LDAP replication server
(slurpd), libraries for implementing the LDAP protocol, and utilities,
tools, and sample clients.

Install openldap if you need LDAP applications and tools.

%package devel
Summary: OpenLDAP development libraries and header files.
Group: Development/C
Requires: openldap

%description devel
This package includes the development libraries and header files
needed for compiling applications that use LDAP internals.  Install
this package only if you plan to develop or will need to compile
customized LDAP clients.

%prep
%setup -q -a 2
%patch0 -p1 -b .config
%patch1 -p1 -b .redhat

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	--sysconfdir=/etc --enable-passwd --without-kerberos \
	--enable-shell --enable-shared --enable-wrappers \
	--localstatedir=/var/run --libexecdir=%{prefix}/sbin

make depend
make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT/etc/openldap \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	libexecdir=$RPM_BUILD_ROOT%{prefix}/sbin

# hack the default config files
perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/etc/openldap/slapd.conf
# we don't need the default files
rm -f $RPM_BUILD_ROOT/etc/openldap/*.default

# install init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap

# deal with the migration tools
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/openldap/migration
install -m 755 MigrationTools-%{migtools_ver}/migrate_* \
	$RPM_BUILD_ROOT%{prefix}/share/openldap/migration
install -m 644 MigrationTools-%{migtools_ver}/README %{SOURCE3} \
	$RPM_BUILD_ROOT%{prefix}/share/openldap/migration
cp MigrationTools-%{migtools_ver}/README README.migration
cp %{SOURCE3} TOOLS.migration

mkdir -p $RPM_BUILD_ROOT/var/lib/ldap

#move the man pages
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add ldap

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del ldap
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/ldap
%dir /etc/openldap
%config /etc/openldap/*
%attr(0755,root,root) %{prefix}/bin/*
%attr(0755,root,root) %{prefix}/lib/lib*.so.*
#%{prefix}/man/man1/*
#%{prefix}/man/man5/*
#%{prefix}/man/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%dir %{prefix}/share/openldap
%{prefix}/share/openldap/ldapfriendly
%{prefix}/share/openldap/*.help
%dir %{prefix}/share/openldap/migration
%{prefix}/share/openldap/migration/README
%config %{prefix}/share/openldap/migration/*.ph
%{prefix}/share/openldap/migration/*.pl
%{prefix}/share/openldap/migration/*.sh
%{prefix}/share/openldap/migration/*.txt
%{prefix}/sbin/*
%dir /var/lib/ldap
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README doc/rfc/*.txt
%doc doc/devel/guidelines doc/devel/todo 
%doc README.migration TOOLS.migration

%files devel
%defattr(-,root,root)
%doc doc/devel/README
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/include/*
%{_mandir}/man3/*

%changelog
* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 1.2.9-7mdk
- rebuilt with _mandir macro

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.9-6mdk.
- Remove make tests.

* Fri Apr 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.9-5mdk
- Move default databases to /var/lib/ldap and not /usr/tmp/
- Add redhat patch.
- Clean up.

* Tue Mar 21 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- error in changelog

* Mon Mar 13 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- Upgrade to versin 1.2.9
- use of _prefix

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- Upgrade version of MigrationTools.
- use of _tmppath and prefix

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Get your life easy, patch the sources for bzman.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha
